﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;

namespace Modbus
{
    partial class RegistersForm : Form
    {
        private ModbusSlave slave;

        public RegistersForm(ModbusSlave modbusSlave)
        {
            InitializeComponent();
            slave = modbusSlave;

            for (uint i = 0; i < slave.GetDataRowCount(); ++i)
            {
                ModbusSlave.DataRow dr = slave.GetDataRow(i);
                dgvRegisters.Rows.Add(new object[] { dr.di, dr.coil, dr.ir, dr.hr });
            }
        }

        private void bClose_Click(object sender, EventArgs e)
        {
            Close();
        }
    }
}
