﻿using System;
using System.Collections.Generic;
using System.Text;

namespace Modbus
{
    /* Abstract class for Modbus devices, contains required methods */
    abstract class Modbus
    {
        protected abstract byte[] BuildMessage(byte[] data);

        protected abstract uint GetCheckSum(byte[] data, uint dataOffset, uint dataSize, ref byte[] dest, uint destOffset);
    }
}
